org.apache.cassandra.db

## Enum IndexExpression.Operator

- java.lang.Object
- - java.lang.Enum<IndexExpression.Operator>
  - - org.apache.cassandra.db.IndexExpression.Operator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IndexExpression.Operator>

Enclosing class:
  IndexExpression

    public static enum IndexExpression.Operator
    extends java.lang.Enum<IndexExpression.Operator>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONTAINS`
`CONTAINS_KEY`
`EQ`
`GT`
`GTE`
`LT`
`LTE`

### Method Summary

Methods
`boolean` `allowsIndexQuery()`
`static IndexExpression.Operator` `findByOrdinal(int ordinal)`
`static IndexExpression.Operator` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IndexExpression.Operator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EQ

    public static final IndexExpression.Operator EQ

#### GTE

    public static final IndexExpression.Operator GTE

#### GT

    public static final IndexExpression.Operator GT

#### LTE

    public static final IndexExpression.Operator LTE

#### LT

    public static final IndexExpression.Operator LT

#### CONTAINS

    public static final IndexExpression.Operator CONTAINS

#### CONTAINS_KEY

    public static final IndexExpression.Operator CONTAINS_KEY

### Method Detail

#### values

    public static IndexExpression.Operator[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IndexExpression.Operator c : IndexExpression.Operator.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IndexExpression.Operator valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### findByOrdinal

    public static IndexExpression.Operator findByOrdinal(int ordinal)

#### allowsIndexQuery

    public boolean allowsIndexQuery()